org.apache.tomcat.util.net

## Class NioBlockingSelector.KeyReference

- java.lang.Object
- - org.apache.tomcat.util.net.NioBlockingSelector.KeyReference

Enclosing class:
  NioBlockingSelector

    public static class NioBlockingSelector.KeyReference
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NioBlockingSelector.KeyReference()`

### Method Summary

Methods
`void` `finalize()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioBlockingSelector.KeyReference

    public NioBlockingSelector.KeyReference()

### Method Detail

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `Object`